Subject: cross-compiler problem under Cygwin
From: Joel Sherrill <[email-masked]>
To: [email-masked]
Date: Fri, 05 Jan 2001 11:32:54 -0600

Hi,

I am using the current net release of Cygwin to build RTEMS to 
target an m68k (ELF format).  When the configure script tries 
to see if the cross compiler works, it will execute this 
fragment from a configure script:

================
cat > conftest.$ac_ext << EOF

#line 1253 "configure"
#include "confdefs.h"

main(){return(0);}
EOF
if { (eval echo configure:1258: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } &&
t
est -s conftest${ac_exeext}; then
  ac_cv_prog_cc_works=yes
  # If we can't run a trivial program, we are probably using a cross compiler.
  if (./conftest; exit) 2>/dev/null; then   
=================

Cygwin under WinME/95 passes this test and apparently refuses to run
"./conftest".
Cygwin under WinNT/2000 allows ./conftest to be executed.  Even worse, this
conftest will execute enough to go into a hard loop which can't be killed with
<ctl>-C. 

I believe that Cygwin should refuse to execute this program.  Is there
any provision for checking a magic number on the executable?

I can provide the executable if this is desired.

Thanks.

-- 
Joel Sherrill, Ph.D.             Director of Research & Development
[email-masked]                 On-Line Applications Research
Ask me about RTEMS: a free RTOS  Huntsville AL 35805
Support Available                (256) 722-9985

--
Want to unsubscribe from this list?
Check out: http://cygwin.com/ml/#unsubscribe-simple